Bug 47246 - date of tripwire mails not RFC822-compliant
Summary: date of tripwire mails not RFC822-compliant
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tripwire   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-04 03:17 UTC by Michael Schwendt
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-05 03:46:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch against Seawolf's tripwire package (557 bytes, patch)
2001-07-05 03:44 UTC, Michael Schwendt
no flags Details | Diff
patch against spec file (1.06 KB, patch)
2001-07-05 03:46 UTC, Michael Schwendt
no flags Details | Diff

Description Michael Schwendt 2001-07-04 03:17:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
Just noticed that the Tripwire mail messages lack the comma between name of
day and day of month.

  Date: Tue 03 Jul 2001 00:00:00 +0200

Should be:

  Date: Tue, 03 Jul 2001 00:00:00 +0200

A mail reader such as PINE--when sorting by date--treats messages like this
as if they were real old.


How reproducible:
Always

Steps to Reproduce:
1. /usr/sbin/tripwire --test --email your@email.address
2. see e-mail header

Comment 1 Michael Schwendt 2001-07-05 03:44:48 UTC
Created attachment 22729 [details]
patch against Seawolf's tripwire package

Comment 2 Michael Schwendt 2001-07-05 03:46:18 UTC
Created attachment 22730 [details]
patch against spec file

Comment 3 Mike A. Harris 2001-07-17 12:05:15 UTC
Fixed in rawhide release: 2.3.1-4 and later, will appear publically
very shortly.  Please test it and give feedback if you have problems.


Note You need to log in before you can comment on or make changes to this bug.